using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Data;

namespace HideGroupPanel
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow
	{
		public MainWindow()
		{
            this.InitializeComponent();

            this.DataContext = BuildCustomers();
		}

        private static ObservableCollection<Customer> BuildCustomers()
        {
            ObservableCollection<Customer> customers = new ObservableCollection<Customer>();

            for (int i = 0; i < 100; i++)
            {
                customers.Add(new Customer { Email = "Mail" + i, Name = "Name" + i, Number = i});
            }

            return customers;
        }
	}
}
